%define 	docver	2.10.0.2

Name: 		worker
Version: 	5.0.2
Release: 	%mkrel 1
Summary: 	A file manager for X in AMIGA style
License: 	GPLv2+
Group: 		File tools
URL: 		http://www.boomerangsworld.de/cms/worker/
Source0: 	http://www.boomerangsworld.de/cms/worker/downloads/%{name}-%{version}.tar.bz2
Source1: 	http://www.boomerangsworld.de/cms/worker/downloads/worker-%{docver}-doc.tar.bz2
Source3: 	%{name}-48.png
Source4: 	%{name}-32.png
Source5: 	%{name}-16.png
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	magic-devel
BuildRequires:	lua-devel
BuildRequires:	avfs-devel

%description
Worker is a graphical filemanager for the X Window System.
It use the classical two-panel-view of the files and directories.
It hast many intern operations while any extern program can also be
used for operate on the selected items. You can easily add actions
to file types or buttons with the builtin configuration program.

%prep
%setup -q -a 1

#Fix ChangeLog and Man pages(UTF-8)
for f in ChangeLog man/fr/worker.1 man/it/worker.1; do
	iconv -f ISO-8859-1 -t UTF-8 $f > $f.new && \
	touch -r $f $f.new && \
	mv $f.new $f
done

%build
%configure
%make_build

pushd %{name}-%{docver}-doc
%configure
%make_build
popd

%install
%make_install
%make_install -C %{name}-%{docver}-doc

# python shebang
%py3_shebang_fix %{buildroot}%{_datadir}/%{name}/scripts/*

%files
%doc README NEWS AUTHORS ChangeLog
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/pixmaps/*.xpm
%{_metainfodir}/de.boomerangsworld.%{name}.metainfo.xml
%{_mandir}/man1/%{name}.1*
%lang(fr) %{_mandir}/fr/man1/%{name}.1.*
%lang(it) %{_mandir}/it/man1/%{name}.1.*


%changelog
* Tue Mar 12 2024 daviddavid <daviddavid> 5.0.2-1.mga10
+ Revision: 2049253
- new version: 5.0.2

* Sun Feb 18 2024 daviddavid <daviddavid> 5.0.1-1.mga10
+ Revision: 2042273
- new version: 5.0.1

* Sat Dec 30 2023 daviddavid <daviddavid> 5.0.0-1.mga10
+ Revision: 2024440
- new version: 5.0.0

* Mon Aug 28 2023 daviddavid <daviddavid> 4.12.1-1.mga10
+ Revision: 1980490
- new version: 4.12.1

* Sun Nov 06 2022 daviddavid <daviddavid> 4.11.0-1.mga9
+ Revision: 1904093
- new version: 4.11.0

* Sun Aug 21 2022 papoteur <papoteur> 4.10.1-1.mga9
+ Revision: 1878996
- new 4.10.1

* Tue Mar 29 2022 umeabot <umeabot> 4.8.1-2.mga9
+ Revision: 1831565
- Mageia 9 Mass Rebuild

* Thu May 06 2021 daviddavid <daviddavid> 4.8.1-1.mga9
+ Revision: 1721759
- new version: 4.8.1

* Sun Apr 18 2021 daviddavid <daviddavid> 4.8.0-1.mga9
+ Revision: 1716458
- new version: 4.8.0

* Fri Apr 02 2021 wally <wally> 4.7.0-2.mga9
+ Revision: 1712784
- rebuild with lua 5.4

* Thu Feb 25 2021 daviddavid <daviddavid> 4.7.0-1.mga9
+ Revision: 1690720
- new version: 4.7.0

* Tue Dec 15 2020 daviddavid <daviddavid> 4.6.1-1.mga8
+ Revision: 1657656
- new version: 4.6.1

* Sun Aug 30 2020 daviddavid <daviddavid> 4.5.1-1.mga8
+ Revision: 1619726
- new version: 4.5.1

* Mon Apr 13 2020 daviddavid <daviddavid> 4.4.0-1.mga8
+ Revision: 1567026
- new version: 4.4.0

* Thu Feb 20 2020 umeabot <umeabot> 4.3.0-2.mga8
+ Revision: 1545428
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 4.3.0-1.mga8
+ Revision: 1484677
- new version: 4.3.0

* Wed Jan 22 2020 daviddavid <daviddavid> 4.2.0-2.mga8
+ Revision: 1482050
- enable Lua and Xft support

* Tue Jan 21 2020 daviddavid <daviddavid> 4.2.0-1.mga8
+ Revision: 1481801
- new version: 4.2.0

* Fri Sep 13 2019 daviddavid <daviddavid> 4.1.0-1.mga8
+ Revision: 1440171
- new version: 4.1.0

* Mon Aug 19 2019 daviddavid <daviddavid> 4.0.1-1.mga8
+ Revision: 1429929
- new version: 4.0.1

* Sun Jun 30 2019 daviddavid <daviddavid> 4.0.0-1.mga8
+ Revision: 1416246
- new version: 4.0.0

* Tue Feb 05 2019 daviddavid <daviddavid> 3.15.4-1.mga7
+ Revision: 1363299
- new version: 3.15.4

* Sun Jan 13 2019 daviddavid <daviddavid> 3.15.3-2.mga7
+ Revision: 1355852
- new version: 3.15.3

* Tue Sep 11 2018 daviddavid <daviddavid> 3.15.2-1.mga7
+ Revision: 1258281
- new version: 3.15.2

* Thu May 17 2018 daviddavid <daviddavid> 3.15.1-1.mga7
+ Revision: 1230241
- new version: 3.15.1

* Thu Jan 25 2018 daviddavid <daviddavid> 3.15.0-1.mga7
+ Revision: 1196866
- new version: 3.15.0

* Fri Dec 15 2017 daviddavid <daviddavid> 3.14.0-1.mga7
+ Revision: 1182660
- new version: 3.14.0

* Fri Nov 24 2017 daviddavid <daviddavid> 3.13.0-1.mga7
+ Revision: 1179077
- new version: 3.13.0

* Sun Sep 17 2017 daviddavid <daviddavid> 3.12.0-1.mga7
+ Revision: 1154945
- new version: 3.12.0

* Sat Jul 22 2017 daviddavid <daviddavid> 3.11.0-1.mga7
+ Revision: 1127793
- new version: 3.11.0

* Wed Jul 19 2017 daviddavid <daviddavid> 3.10.0-1.mga7
+ Revision: 1125097
- new version: 3.10.0

* Sun Jan 15 2017 daviddavid <daviddavid> 3.8.5-1.mga6
+ Revision: 1081879
- new version: 3.8.5

* Sun Sep 25 2016 daviddavid <daviddavid> 3.8.4-1.mga6
+ Revision: 1055974
- new version: 3.8.4

* Sat Apr 30 2016 daviddavid <daviddavid> 3.8.3-1.mga6
+ Revision: 1007996
- new version: 3.8.3

* Wed Feb 03 2016 daviddavid <daviddavid> 3.8.2-1.mga6
+ Revision: 933315
- new version: 3.8.2

* Wed Oct 14 2015 daviddavid <daviddavid> 3.8.1-1.mga6
+ Revision: 891666
- new version: 3.8.1

* Tue Sep 15 2015 daviddavid <daviddavid> 3.8.0-1.mga6
+ Revision: 879570
- new version: 3.8.0
- mark doc file (fix build with new rpm 4.13.0)

* Wed Oct 15 2014 umeabot <umeabot> 3.5.0-3.mga5
+ Revision: 742434
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.5.0-2.mga5
+ Revision: 690366
- Mageia 5 Mass Rebuild

* Fri Aug 22 2014 daviddavid <daviddavid> 3.5.0-1.mga5
+ Revision: 666524
- update Url
- convert Man pages to UTF-8
- convert Changelog to UTF-8
- remove unneeded additional icons (already provided by upstream)
- new version: 3.5.0

* Sat Oct 19 2013 umeabot <umeabot> 2.19.6-5.mga4
+ Revision: 527523
- Mageia 4 Mass Rebuild

* Sun Jun 09 2013 fwang <fwang> 2.19.6-4.mga4
+ Revision: 441049
- br xinerama

* Sun Jun 09 2013 fwang <fwang> 2.19.6-3.mga4
+ Revision: 441040
- rebuild for updated avfs

* Sun Jun 09 2013 fwang <fwang> 2.19.6-2.mga4
+ Revision: 441025
- br dbus

* Sun Jun 09 2013 fwang <fwang> 2.19.6-1.mga4
+ Revision: 441019
- new version 2.19.6

* Mon Jan 14 2013 umeabot <umeabot> 2.19.4-2.mga3
+ Revision: 385843
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 06 2012 fwang <fwang> 2.19.4-1.mga3
+ Revision: 268405
- new version 2.19.4

* Sat Mar 03 2012 fwang <fwang> 2.19.1-1.mga2
+ Revision: 217184
- new version 2.19.1

* Tue Feb 14 2012 obgr_seneca <obgr_seneca> 2.19.0-1.mga2
+ Revision: 208686
- new version 2.19.0
- add avfs support

* Sun Dec 11 2011 fwang <fwang> 2.18.1-1.mga2
+ Revision: 180555
- new version 2.18.1

* Sat Jul 16 2011 fwang <fwang> 2.18.0-1.mga2
+ Revision: 124632
- new version 2.18.0

* Fri Jul 08 2011 dams <dams> 2.17.13-1.mga2
+ Revision: 120633
- Update to 2.17.13

* Fri Feb 11 2011 dmorgan <dmorgan> 2.17.10-2.mga1
+ Revision: 50186
- Remove mdv macros
- imported package worker


* Thu Feb 03 2011 Funda Wang <fwang@mandriva.org> 2.17.10-2mdv2011.0
+ Revision: 635644
- tighten BR

* Tue Feb 01 2011 Götz Waschk <waschk@mandriva.org> 2.17.10-1
+ Revision: 634650
- new version
- use upstream desktop entry

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 2.17.8-1mdv2011.0
+ Revision: 550287
- update to new version 2.17.8

* Thu Mar 04 2010 Frederik Himpe <fhimpe@mandriva.org> 2.17.6-1mdv2010.1
+ Revision: 514237
- update to new version 2.17.6

* Thu Nov 12 2009 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2010.1
+ Revision: 465163
- new version
- drop patch

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 2.17.2-2mdv2010.0
+ Revision: 445818
- rebuild

* Mon Mar 09 2009 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2009.1
+ Revision: 353199
- new version
- fix build

* Sat Feb 21 2009 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2009.1
+ Revision: 343743
- update to new version 2.17.1

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 2.16.5-1mdv2009.0
+ Revision: 231549
- new version

* Wed Jul 02 2008 Götz Waschk <waschk@mandriva.org> 2.16.4-1mdv2009.0
+ Revision: 230605
- new version
- update license

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2008.1
+ Revision: 165857
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2008.1
+ Revision: 115382
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - buildrequires X11-devel instead of XFree86-devel
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Fri Jun 29 2007 Funda Wang <fwang@mandriva.org> 2.15.0-1mdv2008.0
+ Revision: 45633
- New version


* Thu Mar 22 2007 Götz Waschk <waschk@mandriva.org> 2.14.4-1mdv2007.1
+ Revision: 148181
- new version
- new version
- new docs

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-2mdv2007.1
+ Revision: 89597
- rebuild

* Tue Nov 14 2006 Lenny Cartier <lenny@mandriva.com> 2.14.1-1mdv2007.1
+ Revision: 84031
- Update to 2.14.1
- Import worker

* Wed Sep 13 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdv2007.0
- New version 2.14.0

* Sat Jul 22 2006 Götz Waschk <waschk@mandriva.org> 2.13.1-1mdv2007.0
- xdg menu
- New release 2.13.1

* Fri Jun 23 2006 Götz Waschk <waschk@mandriva.org> 2.13.0-1mdv2007.0
- New release 2.13.0

* Fri May 05 2006 Lenny Cartier <lenny@mandriva.com> 2.12.0-1mdk
- 2.12

* Tue Mar 07 2006 Götz Waschk <waschk@mandriva.org> 2.11.2-1mdk
- update URL
- new version

* Thu Dec 15 2005 Götz Waschk <waschk@mandriva.org> 2.11.1-1mdk
- New release 2.11.1
- use mkrel

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 2.11.0-1mdk
- New release 2.11.0

* Wed Jul 27 2005 Götz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- New release 2.10.2

* Sat Jun 25 2005 Götz Waschk <waschk@mandriva.org> 2.10.1-1mdk
- New release 2.10.1

* Fri Apr 08 2005 Götz Waschk <waschk@linux-mandrake.com> 2.10.0-1mdk
- New release 2.10.0

* Tue Dec 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.9.0-1mdk
- 2.9.0

* Fri Jul 30 2004 Götz Waschk <waschk@linux-mandrake.com> 2.8.5-1mdk
- drop patch
- New release 2.8.5

* Fri Jun 18 2004 Götz Waschk <waschk@linux-mandrake.com> 2.8.4-2mdk
- patch for new g++

